seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/15, 18:58:01


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] Warnig: No dist-upgrade  (Read 10806 times)

0 Members and 1 Guest are viewing this topic.

Offline vilde

  • User
  • Posts: 657
Re: Warnig: No dist-upgrade
« Reply #30 on: 2016/11/27, 09:53:43 »
Quote
What about xserver-xorg-input-vmmouse?
What about?
Ever read the description of that package?
You have running siduction in vmware, vbox or qemu? No? Then you won't need that package.
Sorry, I know it's not like that but for some reason I always think that all packages delivered with the iso is necessary. On the other side I always take away all virtualbox guest packages after installation.

But, my main question as this topic still say "no dist-upgrade" and not marked solved, is it ok to d-u now?

Offline blaze

  • User
  • Posts: 9
Re: Warnig: No dist-upgrade
« Reply #31 on: 2016/11/27, 10:20:22 »
Patience is a virtue. Or is there some new package that you really need? Check transition page for xorg and decide.

https://release.debian.org/transitions/html/xserver1.19.html

Offline drb

  • User
  • Posts: 156
Re: Warnig: No dist-upgrade
« Reply #32 on: 2016/11/27, 11:00:31 »
Not slved here yet :

Code: [Select]
The following packages will be REMOVED:                                                                                                                                                                                                       
   xserver-xorg-input-vmmouse (1:13.1.0-1+b1)                                                                                                                                                                                                 
   xserver-xorg-video-intel (2:2.99.918+git20160426-1)

Offline vilde

  • User
  • Posts: 657
Re: Warnig: No dist-upgrade
« Reply #33 on: 2016/11/27, 12:04:20 »
I'm in no hurry. It was towos post about reinstalilng some packages and a lot o german (that I don't understand) text before that made me wondering. I wait for it to clear up. Thanks.

Offline seasons

  • User
  • Posts: 241
Re: Warnig: No dist-upgrade
« Reply #34 on: 2016/11/27, 16:42:08 »
But, my main question as this topic still say "no dist-upgrade" and not marked solved, is it ok to d-u now?

The libc multiarch issue has been cleared and the libxtables/libtesseract issue has cleared.

DO NOT dist-upgrade if:
1) You use binary/proprietary nvidia driver (including legacy versions)
2) You use virtualbox
3) You need vmmouse package as towo discussed
4) You are using intel i945 graphics or older (i.e. you need xserver-xorg-video-intel package)

Otherwise, you are probably okay (no guarantees though).

Offline Carnophage

  • User
  • Posts: 15
    • http://carnophage.wordpress.com
Re: Warnig: No dist-upgrade
« Reply #35 on: 2016/11/28, 11:23:44 »
As for intel package, please double check that You are not using something newer then the package in unstable.
I'm not sure why and how but I also had .918 package while .917 is in unstable. Reinstalling xserver-video-intel to the version from unstable by hand solved that one for me.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.934
    • Land of the Buckeye
Re: Warnig: No dist-upgrade
« Reply #36 on: 2016/11/28, 11:41:20 »
Hmmmmmmmm.  Thanks @Carnophage.


Code: [Select]
root@hp-350g:/# apt policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installed: 2:2.99.918+git20160426-1
  Candidate: 2:2.99.918+git20160426-1
  Version table:
 *** 2:2.99.918+git20160426-1 100
        100 /var/lib/dpkg/status
     2:2.99.917+git20161105-1+b1 500
        500 http://httpredir.debian.org/debian unstable/main amd64 Packages


root@hp-350g:/# inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list.d/debian.list
           deb http://httpredir.debian.org/debian/ unstable main contrib non-free
           Active apt sources in file: /etc/apt/sources.list.d/siduction.list
           deb http://mirror.lug.udel.edu/pub/siduction/extra unstable main contrib non-free
           deb http://mirror.lug.udel.edu/pub/siduction/fixes unstable main contrib non-free


I don't know how this happened, either.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline der_bud

  • User
  • Posts: 896
  • member
Re: Warnig: No dist-upgrade
« Reply #37 on: 2016/11/28, 12:37:08 »
Quote from: Carnophage
... I'm not sure why and how but I also had .918 package while .917 is in unstable. Reinstalling xserver-video-intel to the version from unstable by hand solved that one for me....
Quote from: dibl
... I don't know how this happened, either.

musca and horo elaborated on that some weeks ago: intel graphics factsheet , first there came a .918 into debian repos, then intel withdraw that and debian stepped down again to .917

Du lachst? Wieso lachst du? Das ist doch oft so, Leute lachen erst und dann sind sie tot.

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.308
Re: Warnig: No dist-upgrade
« Reply #38 on: 2016/11/28, 12:37:54 »
Let this package go and install the one from debian.
Your 218-package was a build of me from git, where it was mistagged as 218.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.934
    • Land of the Buckeye
Re: Warnig: No dist-upgrade
« Reply #39 on: 2016/11/28, 14:13:26 »
It was easily replaced and d-u goes through completely on that laptop.  The multi-arch desktop with Nvidia graphics is still waiting.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline Taliesin

  • User
  • Posts: 64
Re: Warnig: No dist-upgrade
« Reply #40 on: 2016/11/29, 02:48:02 »
The last I checked, Nvidia drivers are now good to go, 12:47 UTC +11 or AEDST.

Still waiting on the following.

Code: [Select]
The following packages will be REMOVED:
  iptables xserver-xorg-input-vmmouse

In the meantime the list of packages to be upgraded is growing.....

Offline Taliesin

  • User
  • Posts: 64
Re: Warnig: No dist-upgrade
« Reply #41 on: 2016/11/29, 02:50:46 »
@Towo,

everytime I see your signature, I have this urge to flick the bug off of my screen.

Offline terroreek

  • User
  • Posts: 169
Re: Warnig: No dist-upgrade
« Reply #42 on: 2016/11/29, 03:27:28 »
I performed a dist-upgrade, looks like following package was removed

Code: [Select]
libegl1-nvidia
trying to re-install, apt wants to remove libegl1-glvnd-nvidia

Code: [Select]
The following packages will be REMOVED:
  libegl1-glvnd-nvidia
The following NEW packages will be installed:
  libegl1-nvidia

Is is safe to assume the libegl1-glvnd-nvidia replaces the libegl1-nvidia package???

Offline pjnsmb

  • User
  • Posts: 61
Re: Warnig: No dist-upgrade
« Reply #43 on: 2016/11/29, 05:28:05 »
from apt show libegl1-nvidia




Package: libegl1-nvidia
Version: 375.20-1.1
Priority: extra
Section: non-free/oldlibs
Source: nvidia-graphics-drivers
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Installed-Size: 216 kB
Depends: nvidia-alternative (= 375.20-1.1)
Conflicts: libegl1-glvnd-nvidia
Replaces: libegl1-glvnd-nvidia

regards
pjnsmb

Offline jure

  • User
  • Posts: 520
Re: Warnig: No dist-upgrade
« Reply #44 on: 2016/11/29, 08:44:57 »
....
Still waiting on the following.

Code: [Select]
The following packages will be REMOVED:
  iptables xserver-xorg-input-vmmouse

In the meantime the list of packages to be upgraded is growing.....

there is no more xserver-xorg-input-vmmouse in sid

https://tracker.debian.org/pkg/xserver-xorg-input-vmmouse

because > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831420

and here it was no problem to reinstall  iptables, after the du
Code: [Select]
apt policy iptables
iptables:
  Installiert:           1.6.0+snapshot20161117-4
  Installationskandidat: 1.6.0+snapshot20161117-4
  Versionstabelle:
 *** 1.6.0+snapshot20161117-4 500
        500 http://httpredir.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status


« Last Edit: 2016/11/29, 08:51:20 by jure »
Gruss Juergen